html {
  font-size: 12px;
}

@media (min-width: 768px) {
  html {
    font-size: 12px;
  }
}

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: Arial;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.contenedor-img {
    width: 75%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.img-menu {
    width: 100%;
    height: auto;
}

header {
    background: #1B9DD9;
    height: 30px;
    width: calc(100% - 300px);
    margin-left: 300px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

.header-titulo{
    color: white;
    font-size: 15px;
    font-weight: bold;
}

.header-usuario {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    color: white;
    font-size: 15px;
    font-weight: bold;
}

.logout-btn {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    cursor: pointer;
    color: white;
    font-size: 24px;
}

footer {
    background: #1B9DD9;
    height: 30px;
    width: calc(100% - 300px);
    margin-left: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: auto;
}

.footer-title {
    color: white;
    font-size: 15px;
    font-weight: bold;
}

.sidebar {
    width: 300px;
    height: 100vh;
    background: #1B9DD9;
    padding: 10px;
    position: fixed;
    left: 0;
    top: 0;
    overflow-y: auto;
}

    .sidebar img {
        display: block;
        margin: 0 auto 20px auto;
        width: 120px;
    }

.layout-container {
    flex: 1;
    display: flex;
}

.content-area {
    flex: 1;
    padding: 20px;
    margin-left: 300px;
    overflow-x: auto;
}

table {
    width: 100%;
}

.menu-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

.btn-3d {
    display: block;
    text-align: center;
    padding: 8px;
    font-size: 12px;
    color: black;
    text-decoration: none;
    border-radius: 8px;
    background: linear-gradient(145deg,#8ED9F3,#5BC3F0);
    box-shadow: 4px 4px 8px rgba(0,0,0,0.6), -2px -2px 4px rgba(255,255,255,0.1);
    transition: all 0.15s ease-in-out;
}

    .btn-3d:hover {
        transform: translateY(-2px);
        box-shadow: 6px 6px 12px rgba(0,0,0,0.7), -2px -2px 4px rgba(255,255,255,0.1);
        color: white;
    }

    .btn-3d:active {
        transform: translateY(2px);
        box-shadow: inset 2px 2px 6px rgba(0,0,0,0.7);
    }
